#ifndef _INCLUDE_HABUFFER_H_
#define _INCLUDE_HABUFFER_H_

#include "android_hark.h"

#ifdef __cplusplus
extern "C" {
#endif

extern int HABufferSetParam(int fft_channel, int fft_length);
extern int HABufferInit(void);
extern int HABufferRelease(void);
extern void HABufferClear(void);
extern int HABufferSetFFTData(int count, FFT_DATA_ARY_t *data_ary);
extern FFT_DATA_ARY_t *HABufferGetFFTData(int count);
extern int HABufferSetSourceData(int count, SOURCE_DATA_ARY_t *data_ary);
extern SOURCE_DATA_ARY_t *HABufferGetSourceData(int count);
extern int HABufferSetZCSourceData(int count, SOURCE_DATA_ARY_t *data_ary);
extern SOURCE_DATA_ARY_t *HABufferGetZCSourceData(int count);

#ifdef __cplusplus
}
#endif

#endif /* End of _INCLUDE_HABUFFER_H_ */

